org.apache.lucene.analysis.tokenattributes

## Class FlagsAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.FlagsAttributeImpl

All Implemented Interfaces:
  Cloneable, FlagsAttribute, Attribute

    public class FlagsAttributeImpl
    extends AttributeImpl
    implements FlagsAttribute, Cloneable

Default implementation of `FlagsAttribute`.

### Constructor Summary

Constructors
Constructor and Description
`FlagsAttributeImpl()` Initialize this attribute with no bits set

### Method Summary

Methods
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(Object other)`
`int` `getFlags()` Get the bitset for any bits that have been set.
`int` `hashCode()`
`void` `setFlags(int flags)` Set the flags to a new bitset.

### Methods inherited from class org.apache.lucene.util.AttributeImpl

`clone, reflectAsString, reflectWith`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlagsAttributeImpl

    public FlagsAttributeImpl()

Initialize this attribute with no bits set

### Method Detail

#### getFlags

    public int getFlags()

Description copied from interface: `FlagsAttribute`
Get the bitset for any bits that have been set.

Specified by:
  `getFlags` in interface `FlagsAttribute`
Returns:
  The bits
See Also:
  `FlagsAttribute.getFlags()`

#### setFlags

    public void setFlags(int flags)

Description copied from interface: `FlagsAttribute`
Set the flags to a new bitset.

Specified by:
  `setFlags` in interface `FlagsAttribute`
See Also:
  `FlagsAttribute.getFlags()`

#### clear

    public void clear()

Description copied from class: `AttributeImpl`
Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

Specified by:
  `clear` in class `AttributeImpl`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### copyTo

    public void copyTo(AttributeImpl target)

Description copied from class: `AttributeImpl`
Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

Specified by:
  `copyTo` in class `AttributeImpl`